aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCyril SIX <cyril.six@kalray.eu>2018-04-17 15:41:14 +0200
committerCyril SIX <cyril.six@kalray.eu>2018-04-17 15:41:14 +0200
commit8a77a2d41eb560ce9dbc3669971ccbc342743784 (patch)
treec237607a036c3bf8f711263ee8a8df1a3fa02d1c
parent1b8cf73abc25b1bb167db770a622704f0d672691 (diff)
downloadcompcert-kvx-8a77a2d41eb560ce9dbc3669971ccbc342743784.tar.gz
compcert-kvx-8a77a2d41eb560ce9dbc3669971ccbc342743784.zip
MPPA - Added CompCert tests
-rw-r--r--test/mppa/sort/Makefile17
1 files changed, 16 insertions, 1 deletions
diff --git a/test/mppa/sort/Makefile b/test/mppa/sort/Makefile
index ce86017d..69dfca23 100644
--- a/test/mppa/sort/Makefile
+++ b/test/mppa/sort/Makefile
@@ -3,7 +3,8 @@ PRNG=../lib/prng.c
ALL= insertion-test-x86 insertion-test-k1c\
selection-test-x86 selection-test-k1c\
merge-test-x86 merge-test-k1c\
- test-x86 test-k1c
+ test-x86 test-k1c\
+ test-ccomp
all: $(ALL)
@@ -19,6 +20,12 @@ test-x86: selection.c merge.c insertion.c test.c $(PRNG)
test-k1c: selection.c merge.c insertion.c test.c $(PRNG)
k1-gcc -g -O2 -std=c99 $^ -o $@
+%.s: %.c
+ ccomp -O2 -S $< -o $@
+
+test-ccomp: selection.s merge.s insertion.s test.s $(subst .c,.s,$(PRNG))
+ k1-gcc $^ -o $@
+
.PHONY:
unittest: unittest-x86 unittest-k1c
@@ -26,6 +33,14 @@ unittest: unittest-x86 unittest-k1c
check: check-x86 check-k1c
.PHONY:
+compc-check: test-ccomp
+ @if ! k1-cluster -- ./$<; then\
+ >&2 echo "ERROR k1c: $< failed";\
+ else\
+ echo "k1c: Test $< succeeded";\
+ fi
+
+.PHONY:
check-x86: test-x86
@if ! ./$<; then\
>&2 echo "ERROR x86: $< failed";\